#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	6.14
%define		qtver		5.15.2
%define		kfname		kdeclarative

Summary:	Integration of QML and KDE work spaces
Name:		kf6-%{kfname}
Version:	6.14.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	28909eaeb864dbf762ceac989e9da424
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel >= %{qtver}
BuildRequires:	Qt6Gui-devel >= %{qtver}
BuildRequires:	Qt6Network-devel >= %{qtver}
BuildRequires:	Qt6Qml-devel >= %{qtver}
BuildRequires:	Qt6Quick-devel >= %{qtver}
BuildRequires:	Qt6ShaderTools-devel
BuildRequires:	Qt6Test-devel >= %{qtver}
BuildRequires:	Qt6Widgets-devel >= %{qtver}
BuildRequires:	Qt6Xml-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gettext-devel
BuildRequires:	kf6-attica-devel >= %{version}
BuildRequires:	kf6-extra-cmake-modules >= %{version}
BuildRequires:	kf6-kauth-devel >= %{version}
BuildRequires:	kf6-kbookmarks-devel >= %{version}
BuildRequires:	kf6-kcodecs-devel >= %{version}
BuildRequires:	kf6-kcompletion-devel >= %{version}
BuildRequires:	kf6-kconfig-devel >= %{version}
BuildRequires:	kf6-kconfigwidgets-devel >= %{version}
BuildRequires:	kf6-kcoreaddons-devel >= %{version}
BuildRequires:	kf6-kdbusaddons-devel >= %{version}
BuildRequires:	kf6-kglobalaccel-devel >= %{version}
BuildRequires:	kf6-kguiaddons-devel >= %{version}
BuildRequires:	kf6-ki18n-devel >= %{version}
BuildRequires:	kf6-kiconthemes-devel >= %{version}
BuildRequires:	kf6-kio-devel >= %{version}
BuildRequires:	kf6-kitemviews-devel >= %{version}
BuildRequires:	kf6-kjobwidgets-devel >= %{version}
BuildRequires:	kf6-kpackage-devel >= %{version}
BuildRequires:	kf6-kservice-devel >= %{version}
BuildRequires:	kf6-ktextwidgets-devel >= %{version}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf6-kwindowsystem-devel >= %{version}
BuildRequires:	kf6-kxmlgui-devel >= %{version}
BuildRequires:	kf6-solid-devel >= %{version}
BuildRequires:	kf6-sonnet-devel >= %{version}
BuildRequires:	libepoxy-devel
BuildRequires:	ninja
BuildRequires:	qt6-shadertools
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf6-dirs
#Obsoletes:	kf5-%{kfname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt6dir		%{_libdir}/qt6

%description
KDeclarative provides integration of QML and KDE work spaces.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kf6-kconfig-devel
Requires:	kf6-kpackage-devel
#Obsoletes:	kf5-%{kfname}-devel < %{version}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}6

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}6.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF6CalendarEvents.so.6
%attr(755,root,root) %{_libdir}/libKF6CalendarEvents.so.*.*
%dir %{_libdir}/qt6/qml/org/kde/draganddrop
%{_libdir}/qt6/qml/org/kde/draganddrop/draganddropplugin.qmltypes
%{_libdir}/qt6/qml/org/kde/draganddrop/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/draganddrop/libdraganddropplugin.so
%{_libdir}/qt6/qml/org/kde/draganddrop/qmldir
%dir %{_libdir}/qt6/qml/org/kde/graphicaleffects
%{_libdir}/qt6/qml/org/kde/graphicaleffects/BadgeEffect.qml
%{_libdir}/qt6/qml/org/kde/graphicaleffects/Lanczos.qml
%{_libdir}/qt6/qml/org/kde/graphicaleffects/graphicaleffects.qmltypes
%{_libdir}/qt6/qml/org/kde/graphicaleffects/kde-qmlmodule.version
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/graphicaleffects/libgraphicaleffects.so
%{_libdir}/qt6/qml/org/kde/graphicaleffects/qmldir
%dir %{_libdir}/qt6/qml/org/kde/kquickcontrols
%{_libdir}/qt6/qml/org/kde/kquickcontrols/ColorButton.qml
%{_libdir}/qt6/qml/org/kde/kquickcontrols/KeySequenceItem.qml
%{_libdir}/qt6/qml/org/kde/kquickcontrols/qmldir
%dir %{_libdir}/qt6/qml/org/kde/kquickcontrolsaddons
%{_libdir}/qt6/qml/org/kde/kquickcontrolsaddons/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kquickcontrolsaddons/kquickcontrolsaddonsplugin.qmltypes
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/kquickcontrolsaddons/libkquickcontrolsaddonsplugin.so
%{_libdir}/qt6/qml/org/kde/kquickcontrolsaddons/qmldir
%dir %{_libdir}/qt6/qml/org/kde/private/kquickcontrols
%attr(755,root,root) %{_libdir}/qt6/qml/org/kde/private/kquickcontrols/libkquickcontrolsprivateplugin.so
%{_libdir}/qt6/qml/org/kde/private/kquickcontrols/qmldir
%ghost %{_libdir}/libkquickcontrolsprivate.so.0
%attr(755,root,root) %{_libdir}/libkquickcontrolsprivate.so.*.*
%{_libdir}/qt6/qml/org/kde/kquickcontrols/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/kquickcontrols/kquickcontrols.qmltypes
%{_libdir}/qt6/qml/org/kde/kquickcontrols/libkquickcontrols.so
%{_libdir}/qt6/qml/org/kde/private/kquickcontrols/kde-qmlmodule.version
%{_libdir}/qt6/qml/org/kde/private/kquickcontrols/kquickcontrolsprivate.qmltypes


%files devel
%defattr(644,root,root,755)
%{_includedir}/KF6/KDeclarative
%{_libdir}/cmake/KF6Declarative
%{_libdir}/libKF6CalendarEvents.so
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf6-kdeclarative.git;a=log;h=master

* Sat May 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bdca8e9
- updated to 6.14.0

* Sat Apr 12 2025 Witold Filipczyk <witekfl@poczta.onet.pl> bed401f
- updated to 6.13.0

* Sun Mar 16 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7a09843
- updated to 6.12.0

* Sat Feb 15 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d0f4bcb
- updated to 6.11.0

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 141eeb9
- updated to 6.10.0

* Fri Dec 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b1114ea
- updated to 6.9.0

* Fri Nov 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 99c17c9
- updated to 6.8.0

* Fri Oct 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0ce3507
- updated to 6.7.0

* Sat Sep 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 2d72d27
- updated to 6.6.0

* Sun Aug 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 292964a
- updated to 6.5.0

* Wed Aug 07 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6828351
- relup

* Sat Jul 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> b389b79
- updated to 6.4.0

* Sat Jun 08 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 493e6e3
- updated to 6.3.0

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f27c468
- Obsoletes kf5

* Sat May 11 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a70bc85
- updated to 6.2.0

* Sun Apr 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 67b25fa
- updated to 6.1.0

* Sat Mar 02 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 141c9fe
- updated to 6.0.0

* Sun Feb 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9d41ce7
- updated to 5.249.0; rel 0.1

